al_ustr_assign_substr(3)

NAME

al_ustr_assign_substr - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    bool al_ustr_assign_substr(ALLEGRO_USTR *us1, const ALLEGRO_USTR *us2,
       int start_pos, int end_pos)

DESCRIPTION

Overwrite the string us1 with the contents of us2 in the byte interval [start_pos, end_pos). The end points will be clamped to the bounds of us2.

Usually you will first have to use al_ustr_offset(3) to find the byte offsets.

Returns true on success, false on error.

SEE ALSO

al_ustr_assign(3), al_ustr_assign_cstr(3)